package com.ruoyi.iot.transdata;

import lombok.Data;

@Data
public class RpcResult {

    private boolean ok;

    private String msg;

    private String data;

    public static RpcResult ok(){
        RpcResult rpcResult = new RpcResult();
        rpcResult.setOk(true);
        return rpcResult;
    }
    public static RpcResult fail(String msg){
        RpcResult rpcResult = new RpcResult();
        rpcResult.setOk(false);
        rpcResult.setMsg(msg);
        return rpcResult;
    }

}
